Skip to main content
DELETE
/
accounts
/
{account_id}
Deletes an account for the user (e.g. a Xero account)
curl --request DELETE \
  --url https://api.sandbox.goteal.co/accounts/{account_id} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.sandbox.goteal.co/accounts/{account_id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.sandbox.goteal.co/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Account deleted successfully."
}
{
"errors": [
"No X-API-KEY header provided or wrong value"
]
}
{
"errors": [
"The resource with id [8be3bb60-5ab4-4bd2-90e6-3b015691a827] does not exist"
]
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

account_id
string
required

ID of the account to delete

Response

No Content

message
string
Example:

"Account deleted successfully."